print();

local modDirectory = g_currentModDirectory

function onLoadMapFinished(mission, node)
	local pricenuggets = g_fillTypeManager:getFillTypeByName("MAIZE").pricePerLiter
	
	
	if node ~= 0 then
	
	local nuggetsHudFile = "Paletten/hud_fill_nuggets.dds"
	local nuggetsHudFileSmall = "Paletten/hud_fill_nuggets_smal.dds"
	
    local nuggetsFilType = g_fillTypeManager:addFillType("NUGGETS", g_i18n:getText("nuggets"), true, pricenuggets * 2.7, 0.00045, math.rad(10), nuggetsHudFile, nuggetsHudFileSmall,modDirectory, nil, { 1, 1, 1 }, nil, false)
	
	g_currentMission.hud.fillLevelsDisplay:refreshFillTypes(g_fillTypeManager)
	end;
end;

function load(id, xmlFile, key,customEnvironment)
	local hasmaize =false
	local hasnuggets=false	
	
	
	local object=id
	if object == nil then
	else
	hasmaize =false
	hasnuggets=false
	
	
	for i,filltype in pairs(object.acceptedFillTypes) do
	local fillname=g_fillTypeManager.indexToName[i]
		if fillname == "MAIZE" then
		hasmaize=true
	end;
		if fillname == "NUGGETS" then
		hasnuggets=true
	end;
		
end;

		if hasmaize and not hasnuggets then
		local filltypen = g_fillTypeManager:getFillTypeIndexByName("NUGGETS")
		local price = g_fillTypeManager:getFillTypeByName("NUGGETS").pricePerLiter
			object:addAcceptedFillType(filltypen,price,true,false)
			object.priceMultipliers[ g_fillTypeManager:getFillTypeIndexByName("NUGGETS")]=object.priceMultipliers[ g_fillTypeManager:getFillTypeIndexByName("MAIZE")]
			object:initPricingDynamics()
		end;
		
	end;
end;

FSBaseMission.loadMapFinished = Utils.prependedFunction(FSBaseMission.loadMapFinished, onLoadMapFinished)
SellingStation.load = Utils.appendedFunction(SellingStation.load, load)